#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

#define NUMBER_OF_BINS 360

char *infile1name =                 "volume_fiducial_sigma8_0_9_om_0_4_ol_0_6.dat";  // volume file
char *infile2name =         "warren_dncum_z_fiducial_sigma8_0_9_om_0_4_ol_0_6.dat";  // ncum file
char *outfilename = "nhalos_degree_redshift_fiducial_sigma8_0_9_om_0_4_ol_0_6.dat";


#define MAX_LINE_LENGTH 256

char line[MAX_LINE_LENGTH];

double redshift[NUMBER_OF_BINS],
  dncum[NUMBER_OF_BINS],
  volume[NUMBER_OF_BINS];

int main(int argc, char *argv[]){

  FILE *file;

  int i;

  file=fopen(infile1name,"r");
  i=0;
  while(fscanf(file,"%lf %lf",&redshift[i],&volume[i])==2) i++;
  fclose(file);

  file=fopen(infile2name,"r");
  i=0;
  double dummydouble;
  while(fscanf(file,"%lf %lf",&dummydouble,&dncum[i])==2) i++;
  fclose(file);

  file=fopen(outfilename,"w");

  for(i=0; i<NUMBER_OF_BINS; i++)
    fprintf(file,"%lf %e %e %e\n",redshift[i],volume[i], dncum[i], volume[i]*dncum[i]);

  fclose(file);

  return 0;

}
